Name:           perl-Compress-Zlib
Version:        1.42
Release:        0.1%{?dist}
Summary:        Interface to zlib compression library
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Compress-Zlib/
Source:         http://www.cpan.org/authors/id/P/PM/PMQS/Compress-Zlib-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  zlib-devel
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The Compress::Zlib module provides a Perl interface to the zlib
compression library. Most of the functionality provided by zlib is
available in Compress::Zlib.

The module can be split into two general areas of functionality,
namely in-memory compression/decompression and read/write access to
gzip files.

%prep
%setup -q -n Compress-Zlib-%{version} 

%build
BUILD_ZLIB=False 
OLD_ZLIB=False
ZLIB_LIB=%{_libdir}
ZLIB_INCLUDE=%{_includedir}

export BUILD_ZLIB OLD_ZLIB ZLIB_LIB ZLIB_INCLUDE

%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ANNOUNCE Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Compress*
%{_mandir}/man3/*

%changelog
* Thu Dec 20 2007 Steven Pritchard <steve@kspei.com> 1.42-0.1
- Fork RHEL 5 spec for EPEL 4.
- Update License tag.
- Shorten Summary.
- Canonicalize Source0 URL.
- Use better BuildRoot.
- Drop explicit BR perl.
- BR ExtUtils::MakeMaker.
- Add standard perl(:MODULE_COMPAT_...) dependency.
- Use more standard install, build, etc.

* Mon Jul 17 2006 Jason Vas Dias <jvdias@redhat.com> - 1.42-1
- Upgrade to 1.42

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.41-2.1
- rebuild

* Mon Jun 05 2006 Jason Vas Dias <jvdias@redhat.com> - 1.41-2
- fix License: tag

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.41-1.2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.41-1.2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Feb 03 2006 Jason Vas Dias <jvdias@redhat.com> - 1.41-1.2
- rebuild for new perl-5.8.8

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcc

* Sun Nov 06 2005 Florian La Roche <laroche@redhat.com>
- 1.41

* Fri Sep 02 2005 Steven Pritchard <steve@kspei.com> 1.37-1
- Update to 1.37 (#167471)

* Thu Mar 31 2005 Joe Orton <jorton@redhat.com> 1.34-2
- really delete the .bs file per #152536

* Thu Mar 31 2005 Joe Orton <jorton@redhat.com> 1.34-1
- update to 1.34; synch with Dag Wieers (#152536)
- BR zlib-devel (#137556)

* Wed Mar 30 2005 Warren Togami <wtogami@redhat.com>
- remove brp-compress

* Sat Mar 19 2005 Joe Orton <jorton@redhat.com> 1.33-7
- rebuild

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Apr 21 2004 Joe Orton <jorton@redhat.com> 1.33-5
- use system zlib

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Chip Turner <cturner@redhat.com> 1.33-1
- move to 1.33

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Mon Mar 25 2002 cturner@redhat.com
- Specfile autogenerated
